package com.huimv.env.admin.controller;


import com.huimv.env.admin.common.utils.Result;
import com.huimv.env.admin.service.IEnergyElectricityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-07-23
 */
@RestController
@RequestMapping("/energy-electricity")
@CrossOrigin
public class EnergyElectricityController {
    @Autowired
    private IEnergyElectricityService electricityService;

    @RequestMapping("/dataList")
    public Result dataList(@RequestBody Map<String, String> paramsMap) {
        return electricityService.dataList(paramsMap);
    }
    @RequestMapping("/hourList")
    public Result hourList(@RequestBody Map<String, String> paramsMap) {
        return electricityService.hourList(paramsMap);
    }
    @RequestMapping("/contrast")
    public Result contrast(@RequestBody Map<String, String> paramsMap) {
        return electricityService.contrast(paramsMap);
    }
}
