package com.huimv.env.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_account_multilevel")
public class SysAccountMultilevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 账号
     */
    private String account;

    /**
     * 父级
     */
    private Integer pid;

    /**
     * 多级父级
     */
    private String pids;

    /**
     * 状态 1启用,0未启用
     */
    private Integer accountStatus;

    /**
     * 所属牧场
     */
    private String farmIds;

    private String color;

    private Boolean mode;

    private Integer lastFarmId;

    private String userName;

    private String farmNames;

    /**
     * 0管理员，1 场长 2 紧急进程审核员  ，3生物安全负责人 ，4 pcr 检测人员，5洗消站点工作人员 , 6员工，7访客
     */
    private Integer type;

    /**
     * 工作地点
     */
    private String workLocation;

    /**
     * 1人员初级洗消站 2净区 3人员二级洗消站 4场内 5生产区 6车辆初级洗消站 7车辆二级洗消站 8中转料塔外围 9车辆三级洗消站 10销售中转站 11环保区洗消中心 12环保区净区 13洗消中心净区
     */
    private String workLocationType;

    /**
     * 工作岗位 1 场长 2 紧急进程审核员  ，3生物安全负责人 ，4 pcr 检测人员，5洗消站点工作人员 , 6员工
     */
    private String workPost;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 头像图片
     */
    private String imgUrl;

    /**
     * 单位名称
     */
    private String workName;

    /**
     * 证件类型 0身份证 ，1护照
     */
    private String papersType;

    /**
     * 密码
     */
    private String password;

    /**
     * 证件号码
     */
    private String papersCode;

    /**
     * 微信标识
     */
    private String wechatId;

    /**
     * 车牌号
     */
    private String carNum;

    private String lng;

    private String lat;

    private Integer subscribe;

    private String avatarUrl;

    private String nickName;
}
