package com.huimv.env.admin.entity.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class TerminalAddParam {
    @NotBlank(message = "deviceCode不能为空")
    private String deviceCode;

    @NotBlank(message = "deviceName不能为空")
    private String deviceName;

    @NotBlank(message = "type不能为空")
    private String type;

    @NotNull(message = "type不能为空")
    private Integer gatewayId;

    @NotNull(message = "farmId不能为空")
    private Integer farmId;
}
