package com.huimv.env.admin.entity.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class TerminalUpdateParam {
    @NotNull(message = "id不能为空")
    private Integer id;

    @NotBlank(message = "deviceCode不能为空")
    private String deviceCode;

    @NotBlank(message = "deviceName不能为空")
    private String deviceName;

    @NotBlank(message = "type不能为空")
    private String type;

    @NotBlank(message = "floorId不能为空")
    private Integer floorId;

    @NotNull(message = "gatewayId不能为空")
    private Integer gatewayId;

    @NotNull(message = "farmId不能为空")
    private Integer farmId;
}
