package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_pigpen")
public class BasePigpen implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 栋舍名字
     */
    private String buildName;

    /**
     * 父级
     */
    private Integer parentId;

    /**
     * 1栋 2楼层 3单元 4 门号
     */
    private Integer fType;

    /**
     * 阶段
     */
    private Integer stageCode;

    private Integer farmId;

    private Integer sort;

    /**
     * 楼层名称
     */
    private String other1;

    /**
     * 父id集合
     */
    private String other2;

    /**
     * 0为普通栋舍 1为水电表栋舍
     */
    private String other3;

    /**
     * 单元号
     */
    private Integer other4;

    private String lng;

    private String lat;


}
