package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("port_change_data")
public class PortChangeData implements Serializable {

    private static final long serialVersionUID = 1L;

    public PortChangeData() {
    }

    public PortChangeData(String terminalPortCode, String terminalCode, String gatwayCode, Integer activePower, Integer reactivePower, Integer apparentPower, Integer beforeActivePower, Integer beforeReactivePower, Integer beforeApparentPower, Date createTime, Integer num) {
        this.terminalPortCode = terminalPortCode;
        this.terminalCode = terminalCode;
        this.gatwayCode = gatwayCode;
        this.activePower = activePower;
        this.reactivePower = reactivePower;
        this.apparentPower = apparentPower;
        this.beforeActivePower = beforeActivePower;
        this.beforeReactivePower = beforeReactivePower;
        this.beforeApparentPower = beforeApparentPower;
        this.createTime = createTime;
        this.num = num;
    }


    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String terminalPortCode;

    private String terminalCode;

    private String gatwayCode;

    /**
     * 现有功
     */
    private Integer activePower;

    /**
     * ，无功
     */
    private Integer reactivePower;

    /**
     * ，视在
     */
    private Integer apparentPower;

    /**
     * 前功率  有功
     */
    private Integer beforeActivePower;

    /**
     * ，无功
     */
    private Integer beforeReactivePower;

    /**
     * 视在
     */
    private Integer beforeApparentPower;

    /**
     * 电流buf
     */
    private String electricCurrent;

    /**
     * 变化前的电流buf
     */
    private String beforeElectricCurrent;

    private Date createTime;

    /**
     * 序号
     */
    private Integer num;


}
