package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("port_warning_info")
public class PortWarningInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String terminalPortCode;

    private String terminalCode;

    private String gatwayCode;

    /**
     * 0离线 1高温报警 2充电报警 3漏电报警
     */
    private Integer warningType;

    private Integer farmId;

    private Integer locationId;

    private String content;

    private Date createTime;


}
