package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 监测终端
 * </p>
 *
 * @author author
 * @since 2024-05-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("terminal")
public class Terminal implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 编号
     */
    private String deviceCode;

    /**
     * 名称
     */
    private String deviceName;

    /**
     * 型号
     */
    private String type;

    /**
     * 状态 0为离线 1为在线
     */
    private Integer status;

    /**
     * 栋ID
     */
    private Integer buildId;

    /**
     * 楼层ID
     */
    private Integer floorId;

    /**
     * 网关ID
     */
    private Integer gatewayId;

    /**
     * 小区ID
     */
    private Integer farmId;

    /**
     * 序号
     */
    private Integer orders;


}
