package com.huimv.env.admin.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.env.admin.entity.Terminal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.env.admin.entity.vo.TerminalPageResult;
import com.huimv.env.admin.entity.vo.WarningTotalResult;

import java.util.List;

/**
 * <p>
 * 监测终端 Mapper 接口
 * </p>
 *
 * @author newspaper
 * @since 2024-05-07
 */
public interface TerminalMapper extends BaseMapper<Terminal> {

    Page<TerminalPageResult> listByLocationId(Page<TerminalPageResult> page, Integer locationId);

    Integer getMaxOrder(Integer gatewayId);

    WarningTotalResult getTotal(List<Terminal> terminalList);
}
