package com.huimv.env.admin.service;

import com.huimv.env.admin.common.utils.Result;
import com.huimv.env.admin.entity.EnergyElectricity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-07-23
 */
public interface IEnergyElectricityService extends IService<EnergyElectricity> {

    //实时曲线
    Result dataList(Map<String, String> paramsMap);

    //小时直方图
    Result hourList(Map<String, String> paramsMap);

    //对比
    Result contrast(Map<String, String> paramsMap);
}
