package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("heart_info")
public class HeartInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    public HeartInfo() {
    }

    public HeartInfo(Date createTime, String terminalCode, String gatwayCode, String originalData) {
        this.createTime = createTime;
        this.terminalCode = terminalCode;
        this.gatwayCode = gatwayCode;
        this.originalData = originalData;
    }

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Date createTime;

    private String terminalCode;

    private String gatwayCode;

    private String originalData;


}
