package com.huimv.env.input.mapper;

import cn.hutool.core.date.DateTime;
import com.huimv.env.input.entity.Gateway;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.env.input.entity.vo.DataInfoVO;
import com.huimv.env.input.entity.vo.HeartInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 采集网关 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-06-19
 */
public interface GatewayMapper extends BaseMapper<Gateway> {

    List<Gateway> getUploadFarm();

    List<HeartInfoVo> trackImport(@Param("dateTime") DateTime dateTime, @Param("gateWay") String gateWay);

    List<DataInfoVO> dataImport(@Param("dateTime") DateTime dateTime, @Param("deviceCode") String deviceCode);
}

