package com.huimv.env.input.service;

import cn.hutool.core.date.DateTime;
import com.huimv.env.input.entity.BaseFarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.input.entity.Gateway;
import com.huimv.env.input.entity.vo.AlarmInfoVO;
import com.huimv.env.input.entity.vo.DataInfoVO;
import com.huimv.env.input.entity.vo.HeartInfoVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-05-09
 */
public interface IBaseFarmService extends IService<BaseFarm> {

    List<Gateway> getUploadFarm();

    List<HeartInfoVo> trackImport(DateTime dateTime,String gateWay);

    List<DataInfoVO> dataImport(DateTime dateTime, String deviceCode);

    List<AlarmInfoVO> alarmImport(DateTime dateTime, String deviceCode);
}
